Skip to main content
GET
/
trades
Get trades
curl --request GET \
  --url https://api.sx.bet/trades
{
  "status": "success",
  "data": {
    "trades": [
      {
        "baseToken": "0x6629Ce1Cf35Cc1329ebB4F63202F3f197b3F050B",
        "bettor": "0x713117eCdEfB29B919544C7502162423220fE78b",
        "stake": "5471240",
        "normalizedStake": "5",
        "odds": "65000000000000000000",
        "orderHash": "0xa39a03729714170256eb0ea3c3c14b2985f7320d6fa75663edbca8c6d6e4dc83",
        "marketHash": "0x80f558d8535e4f1343e3dc0303ab6d32432c732607fc460fe910ef95845ba40d",
        "maker": false,
        "bettingOutcomeOne": false,
        "settled": true,
        "betTimeValue": 5.47124,
        "settleValue": 1,
        "fillHash": "0x8e55b9a69f8b2ff4b9816f59c772da765227df104833daad946cfe36d2873938",
        "tradeStatus": "SUCCESS",
        "valid": true,
        "betType": 1,
        "settleDate": "2026-03-13T00:25:57.472Z",
        "outcome": 1,
        "contractsVersion": "6.0",
        "settleTxHash": "0x612d33b89f6f84dfb1dfd034168e0b4620a999e8b3eb404e37206387c408a2f1",
        "fillOrderHash": "0x48ecd08c526796f1d56249d33dbac46aaf9e8e8b45e023e8e291c9f4ad21d6ee",
        "fillOrderHashAttempts": [
          "0x48ecd08c526796f1d56249d33dbac46aaf9e8e8b45e023e8e291c9f4ad21d6ee"
        ],
        "lastMineAttemptTime": "2026-03-12T23:18:50.703Z",
        "beneficiaryType": 0,
        "targetNonce": 25152,
        "createdAt": "2026-03-12T23:18:47.931Z",
        "updatedAt": "2026-03-13T00:25:57.472Z",
        "chainVersion": "SXR",
        "sportXeventId": "L18268159",
        "netReturn": "8.417292",
        "settleNetReturnValue": "0",
        "marketHasRefunds": false,
        "_id": "69b349d7437e6866874f937d",
        "betTime": 1773357527
      }
    ],
    "nextKey": "69b349d7437e6866874f937d",
    "pageSize": 100,
    "count": 4840
  }
}
Rate limit: All GET /trades/* endpoints share a combined limit of 200 requests/min. See Rate Limits.

Query Parameters

startDate
integer

Only get trades placed after this time in UNIX seconds

endDate
integer

Only get trades placed before this time in UNIX seconds

bettor
string

Only get trades placed by this bettor (regardless if maker or taker)

settled
boolean

If true, only get settled trades

marketHashes
string[]

Only get trades for particular markets. Comma separated

baseToken
string

Only get trades placed for a particular token

maker
boolean

If true, only get trades where the bettor is the maker

affiliate
string

Only get trades under this affiliate

pageSize
integer

Requested page size. Each call will only return up to this amount of records. Default is 100.

paginationKey
string

Used for pagination. Pass the nextKey returned from the previous request to retrieve the next set of records.

tradeStatus
string

Filter trades to see only those with SUCCESS or FAILED status

sportXeventId
string

Only get trades for this event ID

Response

200 - application/json
status
string

success or failure if the request succeeded or not

data
object